Get quote
curl --request GET \
--url https://platform.swipelux.com/v3/quotes/{quoteId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://platform.swipelux.com/v3/quotes/{quoteId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://platform.swipelux.com/v3/quotes/{quoteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"customerId": "cus_7F3pL2nQ9xA5mW8kR1sT4v",
"externalId": "quote-ref-123",
"mode": "exact_in",
"rate": "1.00",
"status": "active",
"transferId": null,
"createdAt": "2026-06-25T12:00:00.000Z",
"expiresAt": "2026-06-25T12:05:00.000Z",
"id": "quo_6dV8xN2pQ4rT7mA9sL1kBc",
"capabilityId": "ach_pooled",
"institutionId": "jpmorgan",
"direction": "fiat_to_stablecoin",
"source": {
"type": "external"
},
"in": {
"amount": "150.00",
"currency": "USD"
},
"out": {
"amount": "145.00",
"currency": "USDC",
"network": "base"
},
"destination": {
"type": "account",
"id": "acc_3eG7xN2pQ4rT8mA1sL6dVc"
},
"fees": [
{
"beneficiary": "developer",
"amount": "0.88",
"currency": "USDC",
"rule": {
"fixed": "0.50",
"bips": 25
}
},
{
"beneficiary": "service",
"amount": "4.12",
"currency": "USDC"
}
]
}
}money-movement
Get quote
Returns a v3 quote by id. Only quotes created through POST /v3/quotes are exposed here.
Get quote
Related topics
Quotes and transfersGet recipientGet transfer instructionsGet indicative FX rateGet rule⌘I